#pragma once

#include "CoreMinimal.h"
#include "SkillUnlockedNotificationViewInterface.h"
#include "CoreBaseHudWidget.h"
#include "CoreSkillUnlockedNotificationWidget.generated.h"

class UDBDTextBlock;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreSkillUnlockedNotificationWidget : public UCoreBaseHudWidget, public ISkillUnlockedNotificationViewInterface
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDTextBlock* TitleTB;

public:
	UCoreSkillUnlockedNotificationWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreSkillUnlockedNotificationWidget) { return 0; }
